Config
The Config API allows you to query for active merchant configurations.
GET /api/v1/pa/config/reserve_planGET /api/v1/pa/config/payment_method_typesGET /api/v1/pa/config/banksGET /api/v1/pa/config/applepay/registered_domainsGET /api/v1/pa/config/convertible_shopper_currenciesPOST /api/v1/pa/config/applepay/registered_domains/add_itemsPOST /api/v1/pa/config/applepay/registered_domains/remove_items
Get current used reserve plan
GET /api/v1/pa/config/reserve_plan
Retrieves reserve plan configuration details for your Airwallex account.
DELAYED reserve plan
the number of days that transaction amount will be held in your reserve account before they are released
DELAYED_ROLLING reserve plan
the number of days that transaction amount will be held in your reserve account after transaction
the percentage of the transaction amount that will be held in the reserve account after delay_in_days
the number of days that the reserved funds will be held in the reserve account after delay_in_days
ROLLING reserve plan
the percentage of the transaction amount that will be held in the reserve account
the number of days that the reserved funds will be held before they are released
The type of the reserve plan. Possible values:
DELAYED: All funds will settle to your walletdelayed.delay_in_daysdays after transaction.ROLLING:rolling.rolling_percentagepercent of funds will be held forrolling.rolling_window_in_daysdays, while the rest will settle in 2-3 days after transaction.DELAYED_ROLLING: Combination ofDELAYEDandROLLINGreserve plans. All funds will be held fordelayed_rolling.delay_in_daysdays anddelayed_rolling.rolling_percentagepercent of funds will be held for additionaldelayed_rolling.rolling_window_in_daysafter transaction.
| Error status | Description |
|---|---|
| 401 | Possible errors: |
| 403 | Possible errors: |
| 404 | Possible errors: |
| 429 | Too many requests |
| 500 | Possible errors: |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/pa/config/reserve_plan' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "delayed": {3 "delay_in_days": 34 },5 "delayed_rolling": {6 "delay_in_days": 3,7 "rolling_percentage": 10,8 "rolling_window_in_days": 59 },10 "rolling": {11 "rolling_percentage": 10,12 "rolling_window_in_days": 513 },14 "type": "DELAYED_ROLLING"15}
Get available payment method types
GET /api/v1/pa/config/payment_method_types
Retrieve configuration for available payment method types with different transaction modes.
Note that the payment method types can be duplicate when it supports different transaction modes.
A transaction mode refer to how merchant trigger transactions. It can be one-off and recurring.
For oneoff, refer to PaymentIntent API.
For recurring, refer to PaymentConsent API.
Indicate whether the payment method type is active
The supported country code of the shopper.
Page number starting from 0
Number of payment method types to be listed per page. Default value is 100. Maximum is 1000. The value greater than the maximum will be capped to the maximum.
The supported transaction currency. transaction_currency is required when country_code is given.
The supported transaction mode. One of oneoff, recurring.
A flag which identifies whether there are more results.
List items
Indicate whether the payment method type is active
The supported flows for the payment method type and the transaction mode. One of qrcode, mobile_web, mobile_app
The type of payment method. Can be card, wechatpay, alipaycn, alipayhk, kakaopay, tng, truemoney, dana, gcash, etc.
The supported transaction currencies for the payment method type and the transaction mode
Indicate in which mode you trigger transactions with the payment method type. One of oneoff, recurring.
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/pa/config/payment_method_types' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": false,3 "items": [4 {5 "active": true,6 "flows": [],7 "name": "card",8 "transaction_currencies": [9 "AUD",10 "USD",11 "SGD",12 "EUR",13 "JPY"14 ],15 "transaction_mode": "oneoff"16 },17 {18 "active": true,19 "flows": [],20 "name": "applepay",21 "transaction_currencies": [22 "*"23 ],24 "transaction_mode": "recurring"25 }26 ]27}
Get available bank names
GET /api/v1/pa/config/banks
Some payment method types such as online_banking require the bank_name to be filled when confirming a PaymentIntent. You may call this API to retrieve a list of available banks and let the shopper choose one before confirming a PaymentIntent.Refer to confirm.
Country code to filter the available banks. Use the two-character ISO Standard Country Codes.
For payment method type like online_banking and bank_transfer, the available bank list differs by different countries and country_code is needed to get the bank list.
For other payment method types, country_code will be ignored.
Page number starting from 0
Number of banks to be listed per page. Default value is 100. Maximum is 1000. The value greater than the maximum will be capped to the maximum.
The payment method type to find the available banks. For other payment methods that don't require bank_name, an empty list will be returned.
A flag which identifies whether there are more results.
List items
The code name of the bank. Pass it to confirm PaymentIntent if bank_name is needed.
The bank name for display.
The resources provided to render your bank list.
URLs of the bank logos.
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/pa/config/banks' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": false,3 "items": [4 {5 "bank_name": "asn",6 "display_name": "ASN Bank",7 "resources": {8 "logo_url": "https://checkout.airwallex.com/static/media/asn.257601a1.svg"9 }10 },11 {12 "bank_name": "knab",13 "display_name": "Knab",14 "resources": {15 "logo_url": "https://checkout.airwallex.com/static/media/knab.38031ef6.svg"16 }17 }18 ]19}
Get Apple pay domains
GET /api/v1/pa/config/applepay/registered_domains
Get all the web domains registered in Apple Pay.
All registered domains
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/pa/config/applepay/registered_domains' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "items": [3 "domain1.com",4 "domain2.com"5 ]6}
Get convertible shopper currencies
GET /api/v1/pa/config/convertible_shopper_currencies
Retrieves a list of shopper currencies enabled for creating a conversion quote, which can be used as selectable options for payment currency conversion.
A list of shopper currencies available for currency conversion. Each currency is represented by a 3-letter ISO-4217 code.
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/pa/config/convertible_shopper_currencies' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "items": [3 "AUD",4 "USD",5 "SGD",6 "EUR",7 "JPY"8 ]9}
Add Apple pay domains
POST /api/v1/pa/config/applepay/registered_domains/add_items
Register one or more web domains to Apple Pay.
A list of domains to be registered.
All registered domains
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/pa/config/applepay/registered_domains/add_items' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "items": [> "domain3.com"> ]>}'
1{2 "items": [3 "domain1.com",4 "domain2.com",5 "domain3.com"6 ]7}
Remove Apple pay domains
POST /api/v1/pa/config/applepay/registered_domains/remove_items
Remove one or more registered web domains from Apple Pay.
A list of domains to be removed.
The reason for removing these domains. Maximum length is 500.
All registered domains
| Error status | Description |
|---|---|
| 400 | Bad Request. Possible error codes: |
| 401 | Unauthorized. Possible error codes: |
| 403 | Forbidden |
| 404 | Not Found. Possible error codes: |
| 500 | Server Error. Possible error codes: |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/pa/config/applepay/registered_domains/remove_items' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "items": [> "domain3.com"> ],> "reason": "Not used anymore.">}'
1{2 "items": [3 "domain1.com",4 "domain2.com"5 ]6}